Panda3D

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RangeIterator Class Reference

Walks through all the Unicode characters described by a RangeDescription class. More...

`#include "rangeIterator.h"`

## Public Member Functions
| RangeIterator (const RangeDescription &desc)
| Constructs an iterator to walk through the codes on the descriptor.
bool | eof () const
| Returns true if all the code have been retrieved, false otherwise.
int | get_code () const
| Returns the current Unicode value represented by the iterator, or -1 if the iterator has reached the end.
bool | next ()
| Advances the iterator to the next code.

## Detailed Description

Walks through all the Unicode characters described by a RangeDescription class.

Definition at line 26 of file rangeIterator.h.

## Constructor & Destructor Documentation

## ◆ RangeIterator()

RangeIterator::RangeIterator | ( | const RangeDescription & | desc | ) |

Constructs an iterator to walk through the codes on the descriptor.

It is important not to modify the RangeDescription object during the lifetime of the iterator.

Definition at line 21 of file rangeIterator.cxx.

## Member Function Documentation

## ◆ eof()

bool RangeIterator::eof | ( |  | ) | const
| inline

Returns true if all the code have been retrieved, false otherwise.

Definition at line 26 of file rangeIterator.I.

## ◆ get_code()

int RangeIterator::get_code | ( |  | ) | const
| inline

Returns the current Unicode value represented by the iterator, or -1 if the iterator has reached the end.

Definition at line 18 of file rangeIterator.I.

## ◆ next()

bool RangeIterator::next | ( |  | ) |

Advances the iterator to the next code.

Returns true if there is a next code, or false if there are no mode codes.

Definition at line 38 of file rangeIterator.cxx.

The documentation for this class was generated from the following files:

- pandatool/src/egg-mkfont/rangeIterator.h
- pandatool/src/egg-mkfont/rangeIterator.cxx
- pandatool/src/egg-mkfont/rangeIterator.I